<?php
//namespace application\models\hclinica;

use application\models\MyModel;

class CitaModel extends MyModel
{
    public function __construct()
    {
        parent::__construct();
        $this->db_server=$this->conexion;
        $this->table="cita";
        $this->idTable="idCita";
    }
    public function guardar($cita,$assoc=false)
    {
        if($assoc){
            $this->guardarArray($cita, $this->idTable);
        }else{
            $this->guardarObjeto($cita);
        }
    }
    public function getCitaById($idCita)
    {
        return $this->getArrayById($this->idTable, $idCita);
    }
    /*public function guardarCita(&$cita)
    {
        $this->guardarArray($cita, $this->idTabla);
    }
    public static function model(CitaModel $c){
        return $c;
    }*/
}

